osg::BufferObjectProfile Class Reference

`#include <BufferObject>`

## Public Member Functions

| BufferObjectProfile ()
| BufferObjectProfile (GLenum target, GLenum usage, unsigned int size)
| BufferObjectProfile (const BufferObjectProfile &bpo)
bool | operator< (const BufferObjectProfile &rhs) const
bool | operator== (const BufferObjectProfile &rhs) const
void | setProfile (GLenum target, GLenum usage, unsigned int size)
BufferObjectProfile & | operator= (const BufferObjectProfile &rhs)

## Public Attributes

GLenum | _target
GLenum | _usage
GLenum | _size

## Constructor & Destructor Documentation

## BufferObjectProfile() [1/3]

osg::BufferObjectProfile::BufferObjectProfile | ( |  | ) |

inline

References _size, _target, and _usage.

Referenced by BufferObjectProfile(), operator<(), operator=(), and operator==().

## BufferObjectProfile() [2/3]

osg::BufferObjectProfile::BufferObjectProfile | ( | GLenum | target,
|  | GLenum | usage,
|  | unsigned int | size )

inline

References _size, _target, and _usage.

## BufferObjectProfile() [3/3]

osg::BufferObjectProfile::BufferObjectProfile | ( | const BufferObjectProfile & | bpo | ) |

inline

References _size, _target, _usage, and BufferObjectProfile().

## Member Function Documentation

## operator<()

bool osg::BufferObjectProfile::operator< | ( | const BufferObjectProfile & | rhs | ) | const

inline

References _size, _target, _usage, and BufferObjectProfile().

## operator=()

BufferObjectProfile & osg::BufferObjectProfile::operator= | ( | const BufferObjectProfile & | rhs | ) |

inline

References _size, _target, _usage, and BufferObjectProfile().

## operator==()

bool osg::BufferObjectProfile::operator== | ( | const BufferObjectProfile & | rhs | ) | const

inline

References _size, _target, _usage, and BufferObjectProfile().

## setProfile()

void osg::BufferObjectProfile::setProfile | ( | GLenum | target,
|  | GLenum | usage,
|  | unsigned int | size )

inline

References _size, _target, and _usage.

## Member Data Documentation

## _size

GLenum osg::BufferObjectProfile::_size

Referenced by BufferObjectProfile(), BufferObjectProfile(), BufferObjectProfile(), operator<(), operator=(), operator==(), and setProfile().

## _target

GLenum osg::BufferObjectProfile::_target

Referenced by BufferObjectProfile(), BufferObjectProfile(), BufferObjectProfile(), operator<(), operator=(), operator==(), and setProfile().

## _usage

GLenum osg::BufferObjectProfile::_usage

Referenced by BufferObjectProfile(), BufferObjectProfile(), BufferObjectProfile(), operator<(), operator=(), operator==(), and setProfile().

The documentation for this class was generated from the following file:

- BufferObject